﻿<?php

require_once 'lib/abstract_controls_screen.php';

class BTSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup_screen';
    private $manager;

    public static function get_media_url_str() {
        
        return MediaURL::encode(array('screen_id' => self::ID));
    }

    public function __construct(SettingManager $m) {
        $this->manager = $m;
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies) {
		$main_icon = isset($plugin_cookies->main_icon) ? $plugin_cookies->main_icon : 'yes';
		$show_ops['yes'] = 'Да';
		$show_ops['no'] = 'Нет';	
		$this->add_label($defs, "", "Показывать иконку в главном меню:");
		$this->add_combobox($defs, 'show_main_icon', '', $main_icon, $show_ops, 0, true);
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies){
        $this->manager->init($plugin_cookies);
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
		switch($user_input->control_id) {
			case 'show_main_icon':
                $control_id = $user_input->control_id;
				$new_value = $user_input->{$control_id};
                $plugin_cookies->main_icon = $new_value;
                break;
		}
		return ActionFactory::reset_controls($this->do_get_control_defs($plugin_cookies));
    }
}
